"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var uuid_1 = require("./uuid");
var os = require("os");
var AgentDataService = /** @class */ (function () {
    function AgentDataService() {
        this.agentId = null;
        var salt = [new Date().valueOf(), process.pid + os.hostname()].join();
        this.agentId = uuid_1.UUID.newGuid(salt);
    }
    AgentDataService.prototype.getAgentId = function () {
        return this.agentId;
    };
    return AgentDataService;
}());
exports.AgentDataService = AgentDataService;
//# sourceMappingURL=agent-data-service.js.map