export interface IFootprintsFile_Test {
    testName: string;
    executionId: string;
    localTime: number;
    testId?: string;
}
export interface IElement {
    hits: number[][];
    uniqueId: string;
}
export interface IFootprintsFile_App_File {
    path: string;
    methods: IElement[];
    lines?: IElement[];
    branches?: IElement[];
}
export interface IFootprintsFile_App {
    appName: string;
    branchName: string;
    buildName: string;
    moduleName: string;
    files: IFootprintsFile_App_File[];
}
export interface IFootprintsFile_Environment {
    agentType: string;
    agentVersion: string;
    agentId: string;
    environmentName?: string;
    testStage?: string;
    labId?: string;
}
export interface IAgentMeta {
    sequence: number;
    generated: number;
    agentId: string;
}
export interface IFootprintsFile {
    customerId: string;
    environment: IFootprintsFile_Environment;
    configurationData: Object;
    meta?: IAgentMeta;
    version?: "3.0";
    tests: IFootprintsFile_Test[];
    apps: IFootprintsFile_App[];
}
export interface IFootprintsHandler {
    handleFootprints(footprintsPacket: IFootprintsFile, callback: (err: Error) => void): any;
}
