import { ElementPosition, ElementType } from "./contracts";
export declare class FileElement {
    private _type;
    private _startPosition;
    private _endPosition;
    private _uniqueIdKey;
    private _uniqueIdKey_decl;
    private _filename;
    private _uniqueId;
    private _parentPosition;
    private _index;
    constructor(type: ElementType, startPosition: ElementPosition, endPosition: ElementPosition, uniqueIdKey: string, filename: string);
    type: ElementType;
    startPosition: ElementPosition;
    endPosition: ElementPosition;
    uniqueIdKey: string;
    uniqueIdKey_decl: string;
    filename: string;
    uniqueId: string;
    parentPosition: ElementPosition;
    index: number;
    isStartsAfter(fileElement: FileElement): boolean;
    isStartsBefore(fileElement: FileElement): boolean;
    isEndsAfter(fileElement: FileElement): boolean;
    isEndsBefore(fileElement: FileElement): boolean;
}
