import bunyan = require("bunyan");
import { ElementPosition, ElementType, IRawElement } from "./contracts";
import { FileElement } from "./file-element";
export declare class UniqueIdConverter {
    private _uniqueIdsMap;
    private _methodsArray;
    private _branchesArray;
    private _filename;
    private logger;
    constructor(filename: string, logger: bunyan);
    sortElements(): void;
    createElementsArray(file: any): void;
    createFileElement(element: IRawElement, filename: string, type: ElementType): FileElement;
    process(): void;
    setAndInitFile(file: any): void;
    protected createElementPosition(position: any): ElementPosition;
    protected fillFileElementsArray(elements: any, array: FileElement[], type: ElementType): void;
    private fillUniqueIdsMap;
    private createNewUniqueIds;
    private comparePosition;
    readonly uniqueIdsMap: {};
    methodsArray: FileElement[];
    branchesArray: FileElement[];
    readonly filename: string;
    private removeDuplicateElements;
    private filterDuplicates;
    private removeBranchesOutOfMethods;
    private checkBranchPosition;
    private aggregateElementsByLine;
}
