import { EventTypes, IEvent, ITestEndEvent, ITestStartEvent } from "./events-contracts";
export declare class EventsCreator {
    static createTestStartedEvent(executionId: string, framework: string, testName: string, duration: number): ITestStartEvent;
    static createTestEndEvent(executionId: string, framework: string, testName: string, result: string, duration: number): ITestEndEvent;
    static createEvent(type: EventTypes, executionId: string, framework: string): IEvent;
}
