import { AgentConfig } from "../config";
import { IFootprintsFile, IFootprintsHandler } from "../contracts";
import bunyan = require('bunyan');
export declare class FootprintsServiceProxy implements IFootprintsHandler {
    private httpConfig;
    private httpClient;
    private logger;
    constructor(cfg: AgentConfig, logger: bunyan);
    handleFootprints(footprintsPacket: IFootprintsFile, callback: (err: Error) => void): void;
    submitFootprints(footprintsPacket: IFootprintsFile, callback: (err: Error) => void): void;
    private initHttpConfig;
    private getHitFiles;
}
