"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ParsingUtils = /** @class */ (function () {
    function ParsingUtils() {
    }
    ParsingUtils.parseNumber = function (key) {
        var valueFromEnv = process.env[key];
        if (valueFromEnv != null) {
            var valueAsNumber = Number.parseFloat(valueFromEnv);
            if (!isNaN(valueAsNumber)) {
                valueFromEnv = valueAsNumber;
            }
            else {
                valueFromEnv = null;
            }
        }
        return valueFromEnv;
    };
    ParsingUtils.parseBoolean = function (key) {
        var valueFromEnv = process.env[key];
        if (valueFromEnv != null && typeof (valueFromEnv) == "string") {
            valueFromEnv = valueFromEnv.toLowerCase();
        }
        return valueFromEnv == 'true';
    };
    return ParsingUtils;
}());
exports.ParsingUtils = ParsingUtils;
//# sourceMappingURL=parsing-utils.js.map