import { IIstanbulLocation, IIstanbulModule, IIstanbulProcessMetrics } from "../footprints-process/istanbul-to-footprints-contract";
export declare class OriginalModuleLoader {
    private coverageObject;
    private logger;
    private _fileToSourceMapConsumer;
    constructor(coverageObject: IIstanbulProcessMetrics, logger: any);
    load(): void;
    private tryLoadOriginalModule;
    private readOriginalModule;
    private resolveAndAddMethod;
    private resolveAndAddBranch;
    private loadOriginalDataForElement;
    private addElementToModule;
    private createElementSourceData;
    private getOrCreateIstanbulModule;
    private getSourceMapForFile;
    private readSourceMapData;
    private createElementKey;
    private createEmptyBranchObject;
    private createEmptyMethodObject;
    private createIstanbulModule;
    fileToSourceMapConsumer: {
        [p: string]: IIstanbulModule;
    };
}
export interface IIstanbulBranch {
    loc: IIstanbulLocation;
    decl?: IIstanbulLocation;
    line: number;
    type: string;
    locations: IIstanbulLocation[];
}
export interface IIstanbulMethod {
    loc: IIstanbulLocation;
    decl?: IIstanbulLocation;
    line: number;
    name: string;
}
