import { AgentConfig } from "./config";
export interface IEnvironmentDataService {
    getEnvDataForSubmission(): any;
    setLastError(message: string): any;
}
/**
 * The service is used to get environmental data for submission (process id, machine data, etc.)
 */
export declare class EnvironmentDataService implements IEnvironmentDataService {
    private cfg;
    constructor(cfg: AgentConfig);
    private envData;
    getEnvDataForSubmission(): any;
    setLastError(message: string): void;
}
