"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var contracts_1 = require("./contracts");
var EntitiesMapper = /** @class */ (function () {
    function EntitiesMapper() {
    }
    EntitiesMapper.toCreateBuildSessionIdResponse = function (body) {
        if (body == null)
            return null;
        var response = new contracts_1.CreateBuildSessionIdResponse();
        response.buildSessionId = body;
        return response;
    };
    EntitiesMapper.toGetRemoteConfigResponse = function (body) {
        if (body == null || body.config == null)
            return {};
        //The 'config' property is the actual configuration as JSON string.
        //Parse it to an object and return it.
        return JSON.parse(body.config);
    };
    return EntitiesMapper;
}());
exports.EntitiesMapper = EntitiesMapper;
//# sourceMappingURL=entities-mapper.js.map