export declare class SLRoutes {
    static SLASH: string;
    static V1: string;
    static V2: string;
    static V3: string;
    static V5: string;
    static AGENTS: string;
    static EVENTS: string;
    static PRODUCTION: string;
    static BSID: string;
    static BUILD_SESSION_ID: string;
    static BUILD_MAPPING: string;
    static RECOMMENDED_VERSION: string;
    static CONFIG: string;
    static LOG_SUBMISSION: string;
    static FOOTPRINTS: string;
    static TEST_EXECUTION: string;
    static EXTERNAL_DATA: string;
    static EXTERNAL_REPORT: string;
    static BLOBS: string;
    private static agentsV1;
    private static agentsV2;
    private static agentsV3;
    private static agentsV5;
    static testExecution(): string;
    static endExecution(customerId: string, appName: string, buildName: string, branchName: string, environment: string): string;
    static externalData(): string;
    static externalReport(): string;
    static configV2(component: string, customerId: string, appName: string, branchName: string, testStage: string, version: string): string;
    static buildSessionV2(buildSessionId?: string): string;
    static logSubmissionV2(): string;
    static buildMappingV3(): string;
    static footprintsV5(): string;
    static eventsV2(): string;
    static productionV1(buildSessionId: any): string;
    static recommendedAgentV2(component: string, customerId: string, appName: string, branchName: string, testStage: string): string;
    static blobs(buildSessionId: string, blobId: string): string;
    private static toUri;
    static buildQueryParams(paramsMap: any): string;
    private static addQueryStringValue;
}
